diff -rN -u old-ocaml-data-notation/_oasis new-ocaml-data-notation/_oasis
--- old-ocaml-data-notation/_oasis	2011-05-30 09:37:24.000000000 -0400
+++ new-ocaml-data-notation/_oasis	2011-05-30 09:37:24.000000000 -0400
@@ -20,10 +20,10 @@
   FindlibParent:      odn
   FindlibContainers:  with
   FindlibName:        syntax
-  BuildDepends:       type-conv (>= 1.5.0), camlp4.lib, camlp4.quotations.o 
+  BuildDepends:       type-conv (>= 2.3.0), camlp4.lib, camlp4.quotations.o 
   CompiledObject:     byte
   XMETAType:          syntax
-  XMETARequires:      type-conv.syntax, camlp4, odn
+  XMETARequires:      type-conv, camlp4, odn
   XMETADescription:   Syntax extension for odn
 
 Library pa_noodn
@@ -35,7 +35,7 @@
   BuildDepends:       type-conv, camlp4.lib, camlp4.quotations.o 
   CompiledObject:     byte
   XMETAType:          syntax
-  XMETARequires:      type-conv.syntax, camlp4
+  XMETARequires:      type-conv, camlp4
   XMETADescription:   Syntax extension that removes 'with odn'
 
 Flag tests
diff -rN -u old-ocaml-data-notation/setup.ml new-ocaml-data-notation/setup.ml
--- old-ocaml-data-notation/setup.ml	2011-05-30 09:37:24.000000000 -0400
+++ new-ocaml-data-notation/setup.ml	2011-05-30 09:37:24.000000000 -0400
@@ -5348,9 +5348,9 @@
 let setup () = BaseSetup.setup setup_t;;
 
 
-let dev_t = {BaseDev.oasis_cmd = "oasis"; };;
+(*let dev_t = {BaseDev.oasis_cmd = "oasis"; };;
 
-let setup () = BaseDev.update_and_run dev_t;;
+let setup () = BaseDev.update_and_run dev_t;;*)
 
 (* OASIS_STOP *)
 let () = setup ();;
diff -rN -u old-ocaml-data-notation/src/META new-ocaml-data-notation/src/META
--- old-ocaml-data-notation/src/META	2011-05-30 09:37:24.000000000 -0400
+++ new-ocaml-data-notation/src/META	2011-05-30 09:37:24.000000000 -0400
@@ -31,7 +31,7 @@
  package "syntax" (
   version = "0.0.3"
   description = "Syntax extension that removes 'with odn'"
-  requires = "type-conv.syntax camlp4"
+  requires = "type-conv camlp4"
   archive(syntax,preprocessor) = "pa_noodn.cma"
   archive(syntax,toploop) = "pa_noodn.cma"
   exists_if = "pa_noodn.cma"
@@ -43,7 +43,7 @@
  package "syntax" (
   version = "0.0.3"
   description = "Syntax extension for odn"
-  requires = "type-conv.syntax camlp4 odn"
+  requires = "type-conv camlp4 odn"
   archive(syntax,preprocessor) = "pa_odn.cma"
   archive(syntax,toploop) = "pa_odn.cma"
   exists_if = "pa_odn.cma"
diff -rN -u old-ocaml-data-notation/src/pa_odn.ml new-ocaml-data-notation/src/pa_odn.ml
--- old-ocaml-data-notation/src/pa_odn.ml	2011-05-30 09:37:24.000000000 -0400
+++ new-ocaml-data-notation/src/pa_odn.ml	2011-05-30 09:37:24.000000000 -0400
@@ -199,7 +199,7 @@
     function
       | TyDcl (_loc, type_name, tps, rhs, _cl) ->
           let body = 
-            Gen.switch_tp_def _loc
+            Gen.switch_tp_def
               ~alias:odn_of_alias
               ~sum:odn_of_sum
               ~record:odn_of_record
@@ -225,7 +225,7 @@
   let _loc, recursive = 
     match tp with
       | TyDcl (_loc, type_name, _, rhs, _) -> 
-          _loc, Gen.type_is_recursive _loc type_name rhs
+          _loc, Gen.type_is_recursive type_name rhs
       | TyAnd (_loc, _, _) -> 
           _loc, true
       | _ -> assert false
diff -rN -u old-ocaml-data-notation/tests/test.ml new-ocaml-data-notation/tests/test.ml
--- old-ocaml-data-notation/tests/test.ml	2011-05-30 09:37:24.000000000 -0400
+++ new-ocaml-data-notation/tests/test.ml	2011-05-30 09:37:24.000000000 -0400
@@ -42,8 +42,8 @@
   let pa_noodn_cma =
     Filename.concat odn_path "pa_noodn.cma"
   in
-  let pa_type_conv_cmo = 
-    Filename.concat TestConf.pkg_type_conv_dir "pa_type_conv.cmo"
+  let pa_type_conv_cma = 
+    Filename.concat TestConf.pkg_type_conv_dir "pa_type_conv.cma"
   in
   let test_files (dir, fns) = 
     let nm =
@@ -69,7 +69,7 @@
                      print_endline ("File "^fn^": ");
                      assert_command
                        "camlp4o" 
-                       [pa_type_conv_cmo; pa_odn_cma; 
+                       [pa_type_conv_cma; pa_odn_cma; 
                         "Camlp4OCamlPrinter.cmo"; fn])
                   fns
               end;
@@ -77,7 +77,7 @@
             assert_command
               "ocamlfind"
               (["ocamlc"; "-g"; "-o"; "test"; "-I"; odn_path;
-                "-package"; "type-conv.syntax"; "-syntax";  "camlp4o";
+                "-package"; "type-conv"; "-syntax";  "camlp4o";
                 "-ppopt"; pa_odn_cma; "odn.cma"] @ fns)))
          (fun old_cwd ->
             rm 
@@ -165,7 +165,7 @@
               assert_command 
                 ~foutput
                 "camlp4o" 
-                [pa_type_conv_cmo; pa_noodn_cma; 
+                [pa_type_conv_cma; pa_noodn_cma; 
                  "Camlp4OCamlPrinter.cmo";
                  "tests/data/oasis-examples/OASISTypes.ml"]
          );
